aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Beierlein <tomjbe@gentoo.org>2010-07-16 18:44:03 +0200
committerThomas Beierlein <tomjbe@gentoo.org>2010-07-16 18:44:03 +0200
commit81400ce87e502bd7175bd5fc5eec6a6876633d7f (patch)
tree5ac4411ae2c9e3380983de7a9319a887574e1baa /sci-electronics
parent[sys-cluster/scalasca] version bump (diff)
downloadsci-81400ce87e502bd7175bd5fc5eec6a6876633d7f.tar.gz
sci-81400ce87e502bd7175bd5fc5eec6a6876633d7f.tar.bz2
sci-81400ce87e502bd7175bd5fc5eec6a6876633d7f.zip
[sci-electronics/gspiceui] Version bump. Fix for wrong doc path and missing lib files if USE=examples
(Portage version: 2.1.8.3/git/Linux x86_64) (Unsigned Manifest commit)
Diffstat (limited to 'sci-electronics')
-rw-r--r--sci-electronics/gspiceui/ChangeLog6
-rw-r--r--sci-electronics/gspiceui/Manifest6
-rw-r--r--sci-electronics/gspiceui/gspiceui-0.9.99.ebuild (renamed from sci-electronics/gspiceui/gspiceui-0.9.98.ebuild)17
3 files changed, 19 insertions, 10 deletions
diff --git a/sci-electronics/gspiceui/ChangeLog b/sci-electronics/gspiceui/ChangeLog
index f35f3f51d..00d41d9a1 100644
--- a/sci-electronics/gspiceui/ChangeLog
+++ b/sci-electronics/gspiceui/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*gspiceui-0.9.99 (16 Jul 2010)
+
+ 16 Jul 2010; Thomas Beierlein <tomjbe@gentoo.org> -gspiceui-0.9.98.ebuild,
+ +gspiceui-0.9.99.ebuild:
+ Version bump. Fix for wrong doc path and missing lib files if USE=examples
+
*gspiceui-0.9.98 (15 Jun 2010)
15 Jun 2010; Andreas K. Huettel (dilfridge) <mail@akhuettel.de>
diff --git a/sci-electronics/gspiceui/Manifest b/sci-electronics/gspiceui/Manifest
index bf2cdcce1..1b8ea9b38 100644
--- a/sci-electronics/gspiceui/Manifest
+++ b/sci-electronics/gspiceui/Manifest
@@ -1,4 +1,4 @@
-DIST gspiceui-v0.9.98.tar.gz 504306 RMD160 47a24e44a9d0614b16d9bb55564f348da3a8e40a SHA1 1e2b42c46472f35b534922bc08e21fc040521af9 SHA256 afe4012073e1842890ec24581d2ddfa558d3564e1cc8a258e16836c269cdc734
-EBUILD gspiceui-0.9.98.ebuild 1755 RMD160 c16b5b238906162564ce64a63f09bd12f0edf0c0 SHA1 d7edbf945670321a20702c741fe6f04dbdb2130c SHA256 ad19ffb9a5735386b7ff498eed5d503b76bf926379332e1d730823259edda6c1
-MISC ChangeLog 972 RMD160 111db54274c43edaa409321bbcb57da09596bc1c SHA1 ce1d37f18cbbe77940b8614013803f6a5d54946c SHA256 50a9aa0a5ecfaae1637d885b0696e3a27b1c1bfb9a6eeca302562c9290695fb1
+DIST gspiceui-v0.9.99.tar.gz 574595 RMD160 5e8078ff3864a5ea0d5d811db5ad3bbbd296e5b3 SHA1 5d258093a3d3ea81be1fb2ab5dc13aa93164f90e SHA256 9d76db157c4b3f0d4b7bba289653f6646da5183eb7cdc08c9f1056aa7d3f9533
+EBUILD gspiceui-0.9.99.ebuild 1905 RMD160 1f85d27552cf97e32549bc475e99de195189f4e4 SHA1 79d9546b1c46240219674cffa8a4b18b292b705a SHA256 71b6e7fc273d5d8929476adae3b43d163e791c3a85f36be9aed862bdb56fb79b
+MISC ChangeLog 1186 RMD160 0e70449c582019b4ca296d6050429d3526d44477 SHA1 bbf83c13c6626adf921b603c783fbec4bc6af086 SHA256 56411dd5894a612956165dafd308c1c472d8419d679a6f7338057894bf732c1a
MISC metadata.xml 427 RMD160 76fb4f84a34237faa03ee72aeeb5f06d24266380 SHA1 6cd4ccb392020544e3c3eb01101e5a9a984ced52 SHA256 bb15da88aa207d3f1ad5f3fa13edad9c3c1b190bd37ccf9355f4448d1136cd23
diff --git a/sci-electronics/gspiceui/gspiceui-0.9.98.ebuild b/sci-electronics/gspiceui/gspiceui-0.9.99.ebuild
index 48a08f954..af4141708 100644
--- a/sci-electronics/gspiceui/gspiceui-0.9.98.ebuild
+++ b/sci-electronics/gspiceui/gspiceui-0.9.99.ebuild
@@ -36,23 +36,25 @@ src_prepare() {
# Adjusting the doc path at src/main/HelpTasks.cpp
sed -i \
- -e "s:/share/gspiceui/html/gSpiceUI.html:/share/doc/${P}/html/gSpiceUI.html:" \
+ -e "s:/share/gspiceui/html/gSpiceUI.html:/share/doc/${PF}/html/gSpiceUI.html:" \
src/main/HelpTasks.cpp \
|| die "Patching src/main/HelpTasks.cpp failed"
}
src_install() {
dobin bin/gspiceui || die
- dodoc ChangeLog || die
+ dodoc ChangeLog ToDo || die
doman gspiceui.1 || die
newicon src/icons/gspiceui-48x48.xpm gspiceui.xpm || die
dohtml html/*.html html/*.jpeg || die
- # installing examples
+ # installing examples and according model and symbol files
if use examples ; then
- insinto /usr/share/doc/${P}/sch
+ insinto /usr/share/doc/${PF}/sch
doins -r sch/* || die
+ insinto /usr/share/doc/${PF}/lib
+ doins -r lib/* || die
fi
make_desktop_entry gspiceui "GNU Spice GUI" gspiceui.xpm "Electronics"
@@ -60,8 +62,9 @@ src_install() {
pkg_postinst() {
if use examples ; then
- elog "If you want to use the examples, copy then from"
- elog "/usr/share/doc/${P}/sch to your home to be able"
- elog "to generate the netlists as an normal user."
+ elog "If you want to use the examples, copy from"
+ elog "/usr/share/doc/${PF} the sch and lib directory"
+ elog "side by side to your home directory to be able"
+ elog "to generate the netlists as normal user."
fi
}